/*
 * 文 件 名:  CellStyle
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2019/8/13
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.citybrain.commons.base.bean.poi;


/**
 * 单元格样式
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2019/8/13]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class CellStyle {
    /**
     * 字体大小
     */
    private short fontSize = 11;

    /**
     * 字体名称
     */
    private String fontName = "宋体";

    /**
     * 是否加粗
     */
    private boolean fontBold = false;

    /**
     * 是否有边框
     */
    private boolean borderFlag = false;

    /**
     * 是否水平居中
     */
    private boolean alignmentCenter = false;

    /**
     * 是否垂直居中
     */
    private boolean verticalAlignmentCenter = true;

    public short getFontSize() {
        return fontSize;
    }

    public void setFontSize(short fontSize) {
        this.fontSize = fontSize;
    }

    public String getFontName() {
        return fontName;
    }

    public void setFontName(String fontName) {
        this.fontName = fontName;
    }

    public boolean isFontBold() {
        return fontBold;
    }

    public void setFontBold(boolean fontBold) {
        this.fontBold = fontBold;
    }

    public boolean isBorderFlag() {
        return borderFlag;
    }

    public void setBorderFlag(boolean borderFlag) {
        this.borderFlag = borderFlag;
    }

    public boolean isAlignmentCenter() {
        return alignmentCenter;
    }

    public void setAlignmentCenter(boolean alignmentCenter) {
        this.alignmentCenter = alignmentCenter;
    }

    public boolean isVerticalAlignmentCenter() {
        return verticalAlignmentCenter;
    }

    public void setVerticalAlignmentCenter(boolean verticalAlignmentCenter) {
        this.verticalAlignmentCenter = verticalAlignmentCenter;
    }
}