package com.ruoyi.ems.domain;

import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源对象属性对象 adm_ems_obj_attr
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class EmsObjAttr extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 模型code */
    private String modelCode;

    /** 属性类型 */
    private Integer attrType;

    /** 属性标识 */
    private String attrKey;

    /** 属性名称 */
    private String attrName;

    /** 属性单位 */
    private String attrUnit;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setModelCode(String modelCode) 
    {
        this.modelCode = modelCode;
    }

    public String getModelCode() 
    {
        return modelCode;
    }

    public Integer getAttrType() {
        return attrType;
    }

    public void setAttrType(Integer attrType) {
        this.attrType = attrType;
    }

    public void setAttrKey(String attrKey)
    {
        this.attrKey = attrKey;
    }

    public String getAttrKey() 
    {
        return attrKey;
    }
    public void setAttrName(String attrName) 
    {
        this.attrName = attrName;
    }

    public String getAttrName() 
    {
        return attrName;
    }

    public void setAttrUnit(String attrUnit) 
    {
        this.attrUnit = attrUnit;
    }

    public String getAttrUnit() 
    {
        return attrUnit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modelCode", getModelCode())
            .append("attrType", getAttrType())
            .append("attrKey", getAttrKey())
            .append("attrName", getAttrName())
            .append("attrUnit", getAttrUnit())
            .toString();
    }
}
